Issue 102212 - Small spelling mistake in Impress
Summary: Small spelling mistake in Impress
Status: ACCEPTED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: OOo 3.1
Hardware: All All
: P5 (lowest) Trivial (vote)
Target Milestone: 4.0.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 105883 (view as issue list)
Depends on:
Blocks:
 
Reported: 2009-05-25 09:17 UTC by james70
Modified: 2018-08-28 14:41 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: Easy


Attachments
after fixing the bug (11.57 KB, patch)
2013-02-02 17:08 UTC, hrishit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description james70 2009-05-25 09:17:40 UTC
I hope I'm posting this in the right place: I confess that I get very lost here.
I just wanted to report a small spelling mistake in Impress. It concerns the
animations. One of the animations is called "Put on the breaks" when it should
be "Put on the brakes". I know this is a tiny issue, and I hesitated before
posting, but these small things can make a difference to the presentation of the
software.
Comment 1 wolframgarten 2009-05-25 09:44:23 UTC
Reproducible. Reassigned.
Comment 2 Rainer Bielefeld 2009-10-14 05:32:53 UTC
*** Issue 105883 has been marked as a duplicate of this issue. ***
Comment 3 Pedro Giffuni 2013-01-23 02:18:28 UTC
FWIW,

The change required looks very easy, it involves touching these files:

main/filter/source/xslt/export/uof/odf2uof_presentation.xsl
main/oox/source/ppt/commontimenodecontext.cxx
main/sd/source/core/EffectMigration.cxx
main/sd/source/filter/ppt/pptanimations.hxx
main/sd/xml/effects.xml
main/officecfg/registry/data/org/openoffice/Office/UI/Effects.xcu
Comment 4 Rob Weir 2013-01-23 02:55:46 UTC
Setting target to 4.0
Comment 5 Andre 2013-01-23 07:00:38 UTC
Of the files listed above only Effects.xcu has to be modified in order to change the UI string.  All others reference only an internal id.  Changing these is a nice-to-have.
Comment 6 Pedro Giffuni 2013-02-02 02:05:37 UTC
(In reply to comment #5)
> Of the files listed above only Effects.xcu has to be modified in order to
> change the UI string.  All others reference only an internal id.  Changing
> these is a nice-to-have.

Hi Andre;

Perhaps we should just change Effect.xcu then. Will changing all
the other files have any effect when trying to open previous documents
that expect the old animation?
Comment 7 hrishit 2013-02-02 17:08:36 UTC
Created attachment 80197 [details]
after fixing the bug

I've made changes needed to fix the bug.

additional issue:
And if you see lines 66-67, this change is made to fix the bug which was originally posted here and then someone commented that it got fixed and now the bug link is not here.

but as I see the change doesnt reflect in the original repository.
Comment 8 Pedro Giffuni 2013-02-02 18:16:30 UTC
(In reply to comment #7)
> Created attachment 80197 [details]
> after fixing the bug
> 
> I've made changes needed to fix the bug.
> 
> additional issue:
> And if you see lines 66-67, this change is made to fix the bug which was
> originally posted here and then someone commented that it got fixed and now
> the bug link is not here.
> 
> but as I see the change doesnt reflect in the original repository.

Thank you! The patch looks good to me.

I would like to see if Andre has any comment rewarding previous documents
that may expect to find the original animation.
Comment 9 Andre 2013-03-21 17:00:13 UTC
Hi Pedro, hrishit,

sorry for missing this one.  I am currently quite busy with the work on the sidebar.

The patch looks good with one exception (easily fixed) and a comment:

- The three last parts in odf2uof_presentation.xsl, lines 2767, 2781, 2845 and 2847) are not necessary.  The work break is used correctly here.  I think they describe page breaks in Writer.
Just remove these changes.  The rest of the patch looks good.

- As Pedro pointed out, there might be problems with existing documents.
@hrishit: can you check that documents written with an Office that does not have your changes can still be read with the changes applied?
Comment 10 Tenzin 2014-02-25 05:19:12 UTC
Sorry, I am just starting out at AOO. It seems like this bug is already fixed. I was trying to get my hands-on on a easy bug to fix. I am still kinda lost what does different STATUS means, and how do I know which files to work on when trying to fix a bug. For instance, for this bug, pedro pointed out six files to work on to fix. Also, once I think I fixed the bug, how do I rebuild to test if I had fixed?
Comment 11 Andre 2014-02-25 08:32:41 UTC
Tenzin: Don't worry, everybody gets lost at one time or other when fixing a bug in OpenOffice.

Building OpenOffice is described in the Wiki:
https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO#Partial_Builds

Finding the right files to fix is one large part of the bug fix.  There are no fixed rules for it.
Comment 12 Tenzin 2014-02-25 18:58:21 UTC
After reading the pages, I understand how to make partial builds and what differnt STATUS means except for ACCEPTED, it wasn't on the list of different status. And I understand that there is no general rules for finding the files to modify to fix the bug. But, I'll appreciate if anyone can give me any ideas about how to approach the vast files, how to narrow down the search the files of interest? I am overwhelmed by the myraid of files we have in the source. Thanks.
Comment 13 Andrea Pescetti 2014-03-02 17:07:36 UTC
@Tenzin: actually this bug is not fixed yet. There is a patch, listed in the "Attachments" section, that must be applied and verified taking Andre's comments (#9 above) into consideration. So things to do are:

1) Apply the patch

2) Do the clean-up work described by Andre

3) Build OpenOffice with this patch and verify that the problem is fixed

4) Do the backwards compatibility check described by Andre and review the patch accordingly if this fails.

For any practical steps (how to apply a patch and so on) you are welcome to ask the dev list if you need guidance.
Comment 14 Marcus 2017-05-20 10:44:28 UTC
Reset the assignee to the default "issues@openoffice.apache.org".